Subject: Re: [net-next,v5] net: ethernet: rtsn: Add support for Renesas Ethernet-TSN

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 May 2024 17:24:22 -0700

On Thu,  9 May 2024 23:09:03 +0200 Niklas Söderlund wrote:
> Add initial support for Renesas Ethernet-TSN End-station device of R-Car
> V4H. The Ethernet End-station can connect to an Ethernet network using a
> 10 Mbps, 100 Mbps, or 1 Gbps full-duplex link via MII/GMII/RMII/RGMII.
> Depending on the connected PHY.
> 
> The driver supports Rx checksum and offload and hardware timestamps.
> 
> While full power management and suspend/resume is not yet supported the
> driver enables runtime PM in order to enable the module clock. While
> explicit clock management using clk_enable() would suffice for the
> supported SoC, the module could be reused on SoCs where the module is
> part of a power domain.

I need to close net-next today, and I'm not sure if the discussion
is fully concluded. So unfortunately this will have to wait for 6.11.
If someone disagrees please shout.
-- 
pw-bot: defer